Page MenuHomePhabricator

Enhance the image caption suggested edits APIs to return only images used in articles on the target wiki
Closed, ResolvedPublic

Event Timeline

JoeWalsh created this task.May 23 2019, 3:49 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 23 2019, 3:49 PM
LGoto triaged this task as Normal priority.May 29 2019, 3:39 PM
LGoto moved this task from Needs triage to Upcoming on the Product-Infrastructure-Team-Backlog board.

This is somewhat addressed by the inclusion of globalusage data for the target wiki in the latest version, but I'll leave the task open in case someone wants to spend some time and effort trying to efficiently return only images used in articles on the target wiki. In the current setup, I think this would at least require a new CirrusSearch index and query feature. It was discussed a bit in T220282.

I think there's adequate randomness in the new endpoint, so I'll edit the ticket to remove that, but I might not be understanding the point there, so feel free to modify as needed.

Mholloway renamed this task from Enhance the image caption suggested edits APIs to return random images that are used in articles to Enhance the image caption suggested edits APIs to return only images used in articles on the target wiki.Jun 6 2019, 3:11 AM
Mholloway lowered the priority of this task from Normal to Low.
Mholloway updated the task description. (Show Details)
Mholloway moved this task from Upcoming to Backlog on the Product-Infrastructure-Team-Backlog board.
Mholloway closed this task as Resolved.Jun 22 2019, 11:49 PM
Mholloway claimed this task.